# class ActiveLdap::Schema::Syntaxes::Integer

### Public Instance Methods

normalize_value(value) click to toggle source

    # File lib/active_ldap/schema/syntaxes.rb, line 261
    def normalize_value(value)
      if value.is_a?(::Integer)
        value.to_s
      else
        value
      end
    end

type_cast(value) click to toggle source

    # File lib/active_ldap/schema/syntaxes.rb, line 252
    def type_cast(value)
      return value if value.nil?
      begin
        Integer(value)
      rescue ArgumentError
        value
      end
    end

### Private Instance Methods

validate_normalized_value(value, original_value) click to toggle source

    # File lib/active_ldap/schema/syntaxes.rb, line 270
    def validate_normalized_value(value, original_value)
      Integer(value)
      nil
    rescue ArgumentError
      _("%s is invalid integer format") % original_value.inspect
    end